Archive a payment link
curl --request POST \
--url https://api.talescria.com/v1/payment-links/{linkId}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/payment-links/{linkId}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/payment-links/{linkId}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"paymentLink": {
"id": "<string>",
"url": "<string>",
"amount": {
"minorUnits": "125000",
"currency": "USD"
},
"usage": "single",
"status": "active",
"paymentsCompleted": 123,
"paymentInProgress": true,
"createdAt": 123,
"country": "<string>",
"description": "<string>",
"expiresAt": 123,
"accountId": "<string>",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"deleted": true
},
"lastPaidAt": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Payment links
Archive a payment link
Switches a link off. New payers are refused; a payment already in progress isn’t interrupted, and a paid link stays paid.
Requires the payment_links:write scope.
POST
/
v1
/
payment-links
/
{linkId}
/
archive
Archive a payment link
curl --request POST \
--url https://api.talescria.com/v1/payment-links/{linkId}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/payment-links/{linkId}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/payment-links/{linkId}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"paymentLink": {
"id": "<string>",
"url": "<string>",
"amount": {
"minorUnits": "125000",
"currency": "USD"
},
"usage": "single",
"status": "active",
"paymentsCompleted": 123,
"paymentInProgress": true,
"createdAt": 123,
"country": "<string>",
"description": "<string>",
"expiresAt": 123,
"accountId": "<string>",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"deleted": true
},
"lastPaidAt": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}